%global srcname pkgconfig

Summary:        Python interface to the pkg-config command line tool
Name:           python-%{srcname}
Version:        1.5.5
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/matze/pkgconfig
Source:         https://files.pythonhosted.org/packages/source/p/pkgconfig/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pkgconfig is a Python module to interface with the pkg-config command line tool and supports Python 2.6+.

It can be used to

* check if a package exists
* check if a package meets certain version requirements
* query CFLAGS and LDFLAGS
* parse the output to build extensions with setup.py

If pkg-config is not on the path, raises EnvironmentError.

%package -n     python3-%{srcname}
Summary:        Python3 interface to the pkg-config command line tool
BuildRequires:  python3-devel python3-setuptools
Requires:       %{_bindir}/pkg-config

%description -n python3-%{srcname}
pkgconfig is a Python module to interface with the pkg-config command line tool and supports Python 2.6+.

It can be used to

* check if a package exists
* check if a package meets certain version requirements
* query CFLAGS and LDFLAGS
* parse the output to build extensions with setup.py

If pkg-config is not on the path, raises EnvironmentError.

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e s/distutils.core/setuptools/ setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 Shuo Wang <abushwang@tencent.com> - 1.5.5-1
- initial build
